// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-dtos.proto

package com.accelfin.server.messaging.dtos;

/**
 * Protobuf enum {@code com.accelfin.server.messaging.dtos.OperationTypeDto}
 */
public enum OperationTypeDto
    implements com.google.protobuf.ProtocolMessageEnum {
  /**
   * <code>RPC = 0;</code>
   */
  RPC(0),
  /**
   * <code>REQUEST_STREAM = 1;</code>
   */
  REQUEST_STREAM(1),
  /**
   * <code>STREAM = 2;</code>
   */
  STREAM(2),
  UNRECOGNIZED(-1),
  ;

  /**
   * <code>RPC = 0;</code>
   */
  public static final int RPC_VALUE = 0;
  /**
   * <code>REQUEST_STREAM = 1;</code>
   */
  public static final int REQUEST_STREAM_VALUE = 1;
  /**
   * <code>STREAM = 2;</code>
   */
  public static final int STREAM_VALUE = 2;


  public final int getNumber() {
    if (this == UNRECOGNIZED) {
      throw new java.lang.IllegalArgumentException(
          "Can't get the number of an unknown enum value.");
    }
    return value;
  }

  /**
   * @deprecated Use {@link #forNumber(int)} instead.
   */
  @java.lang.Deprecated
  public static OperationTypeDto valueOf(int value) {
    return forNumber(value);
  }

  public static OperationTypeDto forNumber(int value) {
    switch (value) {
      case 0: return RPC;
      case 1: return REQUEST_STREAM;
      case 2: return STREAM;
      default: return null;
    }
  }

  public static com.google.protobuf.Internal.EnumLiteMap<OperationTypeDto>
      internalGetValueMap() {
    return internalValueMap;
  }
  private static final com.google.protobuf.Internal.EnumLiteMap<
      OperationTypeDto> internalValueMap =
        new com.google.protobuf.Internal.EnumLiteMap<OperationTypeDto>() {
          public OperationTypeDto findValueByNumber(int number) {
            return OperationTypeDto.forNumber(number);
          }
        };

  public final com.google.protobuf.Descriptors.EnumValueDescriptor
      getValueDescriptor() {
    return getDescriptor().getValues().get(ordinal());
  }
  public final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptorForType() {
    return getDescriptor();
  }
  public static final com.google.protobuf.Descriptors.EnumDescriptor
      getDescriptor() {
    return com.accelfin.server.messaging.dtos.AccelfinServerDtos.getDescriptor()
        .getEnumTypes().get(0);
  }

  private static final OperationTypeDto[] VALUES = values();

  public static OperationTypeDto valueOf(
      com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
    if (desc.getType() != getDescriptor()) {
      throw new java.lang.IllegalArgumentException(
        "EnumValueDescriptor is not for this type.");
    }
    if (desc.getIndex() == -1) {
      return UNRECOGNIZED;
    }
    return VALUES[desc.getIndex()];
  }

  private final int value;

  private OperationTypeDto(int value) {
    this.value = value;
  }

  // @@protoc_insertion_point(enum_scope:com.accelfin.server.messaging.dtos.OperationTypeDto)
}

